List and Filter Forms
curl --request GET \
--url https://{base-address}/apis/setting-service/public/v1/formsimport requests
url = "https://{base-address}/apis/setting-service/public/v1/forms"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://{base-address}/apis/setting-service/public/v1/forms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Status": "success",
"Data": {
"item": {
"total_count": 123,
"items": [
{
"name": "<string>",
"display_name": "<string>",
"description": "<string>",
"submit_btn_txt": "<string>",
"is_captcha_enabled": true,
"created_at": "2023-11-07T05:31:56Z"
}
]
}
}
}{
"Status": "failure",
"Data": {
"Status": "failure",
"Error": {
"message": "<string>",
"name": "<string>",
"code": "<string>"
}
}
}{
"Status": "failure",
"Data": {
"Status": "failure",
"Error": {
"message": "<string>",
"name": "<string>",
"code": "<string>"
}
}
}{
"Status": "failure",
"Data": {
"Status": "failure",
"Error": {
"message": "<string>",
"name": "<string>",
"code": "<string>"
}
}
}Form APIs
Get Form List
Retrieve a paginated list of forms, with optional field selection, locale translations, search by display name, sorting, and pagination controls. Use this endpoint to build form catalogs or search interfaces.
GET
/
apis
/
setting-service
/
public
/
v1
/
forms
List and Filter Forms
Before calling this endpoint, make sure you’ve generated an API token and picked the correct domain. See Authentication & Base URLs.
Query Parameters
Comma-separated list of fields to include in the response
Specifies the language or region for the response data
Search substring to filter forms by display name.
Field to sort results by (e.g. created_at, name).
Order pattern (asc for ascending and desc for descending, default is desc)
Number of items to skip for pagination offset.
Maximum number of forms to return.